#' TV Show Themes and Color Palettes for 'ggplot2' Graphics
#'
#' Contains various 'ggplot2' themes and color palettes based on TV shows.
#'
#' - Avatar: The Last Airbender: theme + palettes (Fire Nation, Water Tribe,
#' Earth Kingdom, & Air Nomads)
#' - Brooklyn Nine-Nine: theme + palettes (regular & dark)
#' - Game of Thrones/A Song of Ice & Fire: ‘The Palettes of Ice & Fire’
#' (currently: Stark, Baratheon (Stannis), Lannister, Tully, Targaryen, Martell,
#' Greyjoy, Tyrell, Arryn, & Manderly)
#' - Rick & Morty: theme + palette
#' - Parks & Recreation: two themes (light & dark) + palette
#' - The Simpsons: theme + palette
#' - Spongebob Squarepants: theme + palette + background images
#' - Hilda (Day, Dusk, Night) themes + palettes
#' - Attack on Titan: palette
#' - Kim Possible: palette
#' - Big Hero 6: palette
#'
#' Most palettes are geared toward 'discrete' scales rather than 'continuous' so
#' the option isn't available in the functions. This may change in the future.
#' @seealso
#' - https://ryo-n7.github.io/2019-05-16-introducing-tvthemes-package/
#' - https://github.com/Ryo-N7/tvthemes
#' @md
#' @name tvthemes
#' @docType package
#' @aliases tvthemes-package
#' @author Ryo Nakagawara (@@R_by_Ryo)
#' @keywords internal

NULL
